Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.author
Class HibernateAuthorManagerImpl

    java.lang.Object
      com.atlassian.bamboo.author.HibernateAuthorManagerImpl

All Implemented Interfaces:
  AuthorManager, ExtendedAuthorManager

    public class HibernateAuthorManagerImpl

extends Object
implements ExtendedAuthorManager

Constructor Summary
`HibernateAuthorManagerImpl()`

Method Summary
`List` | `findBuildResultsBrokenByAuthor(ExtendedAuthor author)`
`List` | `findBuildResultsFailedByAuthor(ExtendedAuthor author)`
`List` | `findBuildResultsFixedByAuthor(ExtendedAuthor author)`
`List` | `findBuildResultsSuccessfulByAuthor(ExtendedAuthor author)`
`List` | `findBuildResultsTriggeredByAuthor(ExtendedAuthor author)`
`ExtendedAuthor` | `generateOrRetrieveAuthorFromCommit(Commit commit, String authorName)` Either retrieves an existing author (if exists) or creates a new one (if author does not exist) for a given commit
`Set` | `getAllAuthors()`
`Set` | `getAllUnlinkedAuthors()`
`ExtendedAuthor` | `getAuthorById(long id)`
`Author` | `getAuthorByName(String name)`
`AuthorDao` | `getAuthorDao()`
`Set` | `getAuthorsInBuild(long buildId)`
`ExtendedAuthor` | `getExtendedAuthorByName(String name)`
`List` | `getLinkedAuthorForUser(User user)`
`void` | `removeAuthor(ExtendedAuthor extendedAuthor)` removes an author
`void` | `saveAuthor(Author author)` Save the author
`void` | `setAuthorDao(AuthorDao authorDao)`
`void` | `setBambooUserManager(BambooUserManager userManager)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HibernateAuthorManagerImpl

    public HibernateAuthorManagerImpl()

Method Detail

### generateOrRetrieveAuthorFromCommit

    public ExtendedAuthor generateOrRetrieveAuthorFromCommit(Commit commit,
                                                             String authorName)

  Description copied from interface: `ExtendedAuthorManager`
  Either retrieves an existing author (if exists) or creates a new one (if author does not exist) for a given commit

  Specified by:
    `generateOrRetrieveAuthorFromCommit` in interface `ExtendedAuthorManager`
  Returns:
    `ExtendedAuthor` which made the commit.

### getAllAuthors

    public Set getAllAuthors()

  Specified by:
    `getAllAuthors` in interface `AuthorManager`
  Returns:
    `Set` of all `Author`

### getAuthorsInBuild

    public Set getAuthorsInBuild(long buildId)

  Specified by:
    `getAuthorsInBuild` in interface `AuthorManager`
  Returns:
    `Set` of `Author` in a build

### getAuthorByName

    public Author getAuthorByName(String name)

  Specified by:
    `getAuthorByName` in interface `AuthorManager`
  Returns:
    `Author` with given name.

### getAllUnlinkedAuthors

    public Set getAllUnlinkedAuthors()

  Specified by:
    `getAllUnlinkedAuthors` in interface `ExtendedAuthorManager`
  Returns:
    `Set` of `ExtendedAuthor` objects not linked to users

### getExtendedAuthorByName

    public ExtendedAuthor getExtendedAuthorByName(String name)

  Specified by:
    `getExtendedAuthorByName` in interface `ExtendedAuthorManager`
  Returns:
    `ExtendedAuthor` with given name (assuming unique)

### findBuildResultsTriggeredByAuthor

    public List findBuildResultsTriggeredByAuthor(ExtendedAuthor author)

  Specified by:
    `findBuildResultsTriggeredByAuthor` in interface `ExtendedAuthorManager`
  Returns:
    `List` of `BuildResultsSummary` triggered by author

### findBuildResultsFailedByAuthor

    public List findBuildResultsFailedByAuthor(ExtendedAuthor author)

  Specified by:
    `findBuildResultsFailedByAuthor` in interface `ExtendedAuthorManager`
  Returns:
    `List` of `BuildResultsSummary` triggered by author and failed

### findBuildResultsSuccessfulByAuthor

    public List findBuildResultsSuccessfulByAuthor(ExtendedAuthor author)

  Specified by:
    `findBuildResultsSuccessfulByAuthor` in interface `ExtendedAuthorManager`
  Returns:
    `List` of `BuildResultsSummary` triggered by author and successful

### findBuildResultsBrokenByAuthor

    public List findBuildResultsBrokenByAuthor(ExtendedAuthor author)

  Specified by:
    `findBuildResultsBrokenByAuthor` in interface `ExtendedAuthorManager`
  Returns:
    `List` of `BuildResultsSummary` broken by author

### findBuildResultsFixedByAuthor

    public List findBuildResultsFixedByAuthor(ExtendedAuthor author)

  Specified by:
    `findBuildResultsFixedByAuthor` in interface `ExtendedAuthorManager`
  Returns:
    `List` of `BuildResultsSummary` fixed by author

### getAuthorById

    public ExtendedAuthor getAuthorById(long id)

  Specified by:
    `getAuthorById` in interface `ExtendedAuthorManager`
  Returns:
    `Author` given id

### getLinkedAuthorForUser

    public List getLinkedAuthorForUser(User user)

  Specified by:
    `getLinkedAuthorForUser` in interface `ExtendedAuthorManager`
  Returns:
    `List` of `ExtendedAuthor` linked to the user.

### removeAuthor

    public void removeAuthor(ExtendedAuthor extendedAuthor)

  Description copied from interface: `ExtendedAuthorManager`
  removes an author

  Specified by:
    `removeAuthor` in interface `ExtendedAuthorManager`

### saveAuthor

    public void saveAuthor(Author author)

  Description copied from interface: `ExtendedAuthorManager`
  Save the author

  Specified by:
    `saveAuthor` in interface `ExtendedAuthorManager`

### getAuthorDao

    public AuthorDao getAuthorDao()

### setAuthorDao

    public void setAuthorDao(AuthorDao authorDao)

### setBambooUserManager

    public void setBambooUserManager(BambooUserManager userManager)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.